Форум вебмастеров

Плагины для WordPress Различные полезные плагины для WordPress

Ответ
 
LinkBack Опции темы
Старый 21.11.2014, 20:33 #1 (Ссылка)
Администратор
Дополнительная информация
По умолчанию

Плагин блокировки запросов на обновление Wordpress


В этой теме я хочу познакомить вас еще с одним плагином из серии маст хэв. Это Плагин блокировки запросов на обновление Wordpress - Disable wordpress updates.

Небольшая предыстория. Вчера приходит мне письмо с одного из сайтов. Следующего типа:

Цитата:
Привет! Ваш сайт *** был автоматически обновлён до WordPress 3.9.3.

Подробности о версии 3.9.3 можно узнать на экране "О WordPress"

Также доступен WordPress 4.0.1. Процедура обновления проста и займёт всего несколько секунд

Если вы столкнётесь с проблемами и вам понадобится поддержка, вам помогут волонтёры на форумах WordPress.org.

Своевременно обновлять сайт важно из соображений безопасности. Это также делает Интернет более безопасным местом для вас и ваших читателей.

Команда WordPress
Я офигел от неожиданности, и полез в админку. Действительно движок был обновлен автоматически. Офигеть! Ненавижу, когда тупые программы выполняют какие-то действия без моего ведома! Тем более, когда это движок с вполне себе работоспособным сайтом. К слову сказать, вордпресс я и не обновляю особенно. У меня вполне себе неплохо чувствуют сайты и блоги с версией 2.9, и даже вроде 2.5 есть. И какого черта, спрашивается мне надо это обновление?

Отвлекусь еще немного. Когда-то в давние годы, когда я еще брал разные заказы, у меня была постоянная клиентка, любительница обновления вордпресс через админку. Был у нее бложик, что-то о тренингах, психологии и прочей чуши. Следуя лучшим традициям инфобизнеса, она обвесила его всякими плагинами, типа поп-апа с подпиской, всякими группами, которые она вела, и прочими всякими "полезностями" на ее взгляд. После обновлений движка через админку, половина "полезностей" переставала работать. И как-то она меня нашла, попросила помочь, дел было немного, и она заплатила что-то символическое. Я ее предупредил, что обновляться через админку ни в коем случае нельзя, и все косяки блога это следствие этих модернизаций. Она пообещала больше так не делать, и мы расстались.

Через некоторое время моя клиентка появилась вновь. Ситуация была, как и в прошлый раз. Обновление. Ну чтож. Раз человек не понимает слов, придется воздействовать рублем. В удачные моменты удавалось заработать несколько тысяч рублей за час. Но, впрочем все это лирика.

Итак. Как запретить вордпресс делать запросы на обновления?

Для версии 2.х был такой плагин: Блокировка запросов на новые версии. Лет пять тому назад я его ставил на некоторые блоги, но к сожалению данный плагин актуален лишь для вордпресс 2.6-2.8. Последние же разработки на вордпресс используют уже версию 3.9, и на этих версиях вордпресс данный плагин не работает.

Но, решение есть. Это Disable wordpress updates.
Плагин блокирует запросы на обновления движка, запросы на обновление тем, и запросы на обновление плагинов!
Устанавливая плагин для блокировки запросов на обновление кроме всего вышеперечисленного, вы ускорите работу своего блога в несколько раз, уменьшите нагрузку на сервер, и не допустите того, что движок как самый умный, вдруг обновится, и вы получите много-много геморроя.

Плагин работоспособен на версиях 3.7, 3.9.1, 3.9.2, 3.9.3. Это только, что я тестировал лично. Вполне возможно, что плагин будет работать и на четверке, и на всей третьей линейке вордпресс включительно.

Забираем плагин во вложении.
Вложения
Тип файла: zip disable-wordpress-updates.zip (3.7 Кб, 10 просмотров)
Veter вне форума   Ответить с цитированиемОтветить с цитированием
2 пользователя(ей) сказали cпасибо:
Nyhsa (27.06.2016), Ночная странница (28.06.2016)


Старый 23.11.2015, 00:10 #2 (Ссылка)
Администратор
Дополнительная информация
По умолчанию Плагин отключения обновлений WordPress

Из заголовка видно, что плагин отключает обновления. Отключает обновления тем, установленных плагинов, и блокирует запросы самого движка, который без него будет сильно желать обновлений.

Плагин из серии маст хэв.
Называется плагин - Disable All WordPress Updates

Установка - как всегда. Или через админку, ищем и устанавливаем на автомате, а затем активируем. Или скачиваем, распаковываем, заливаем в папку плагинов по фтп, и активируем в админке.

Версия плагина в атаче 1.4.7
Работоспособность на вордпрессе 1.4.х не проверял.
Вложения
Тип файла: zip disable-wordpress-updates.zip (6.0 Кб, 8 просмотров)
Veter вне форума   Ответить с цитированиемОтветить с цитированием
2 пользователя(ей) сказали cпасибо:
Nyhsa (27.06.2016), Ночная странница (23.11.2015)

Старый 23.11.2015, 00:25 #3 (Ссылка)
Профи
Дополнительная информация
По умолчанию

Работает. Версия на данный момент последняя, обновления не требует.
Спасибо!
Ночная странница вне форума   Ответить с цитированиемОтветить с цитированием
Пользователь сказал cпасибо:
Nyhsa (28.06.2016)

Старый 23.11.2015, 00:52 #4 (Ссылка)
Администратор
Дополнительная информация
По умолчанию

Да, у меня более старая была. 1.4.2.
Работает и отлично.

Добавлено через 24 минуты
Оказывается уже выкладывал
Veter вне форума   Ответить с цитированиемОтветить с цитированием
Пользователь сказал cпасибо:

Старый 27.06.2016, 23:21 #5 (Ссылка)
Вебмастер
Дополнительная информация
По умолчанию

Цитата:
Сообщение от Veter Посмотреть сообщение
Небольшая предыстория. Вчера приходит мне письмо с одного из сайтов. Следующего типа:

Цитата:
Привет! Ваш сайт *** был автоматически обновлён до WordPress 3.9.3.

Подробности о версии 3.9.3 можно узнать на экране "О WordPress"

Также доступен WordPress 4.0.1. Процедура обновления проста и займёт всего несколько секунд

Если вы столкнётесь с проблемами и вам понадобится поддержка, вам помогут волонтёры на форумах WordPress.org.

Своевременно обновлять сайт важно из соображений безопасности. Это также делает Интернет более безопасным местом для вас и ваших читателей.

Команда WordPress
Я офигел от неожиданности, и полез в админку
я точно также офигела на днях)) я только новый сайт запустила у меня последняя версия стояла ВП, так всего через неделю он уже обновился самостоятельно.... я в недоумении была)))

Мне б теперь разобраться с версией... откатиться назад что ли?? у меня 4.5.2 будет интересно работать плагин?

Последний раз редактировалось Nyhsa; 27.06.2016 в 23:23.
Nyhsa вне форума   Ответить с цитированиемОтветить с цитированием

Старый 28.06.2016, 08:21 #6 (Ссылка)
Профи
Дополнительная информация
По умолчанию

Цитата:
Сообщение от Nyhsa Посмотреть сообщение
у меня 4.5.2 будет интересно работать плагин?
Даже на 4.5.3 работает версия плагина 1.4.7., так что будет.

Цитата:
Сообщение от Nyhsa Посмотреть сообщение
Мне б теперь разобраться с версией... откатиться назад что ли??
Насколько я знаю, в версии 4.5.2 закрыты какие-то уязвимости, так что если все корректно работает, то я бы откатываться не стала.
Ночная странница вне форума   Ответить с цитированиемОтветить с цитированием
Пользователь сказал cпасибо:
Nyhsa (28.06.2016)

Старый 28.06.2016, 12:48 #7 (Ссылка)
Вебмастер
Дополнительная информация
По умолчанию

Цитата:
Сообщение от Ночная странница Посмотреть сообщение
Насколько я знаю, в версии 4.5.2 закрыты какие-то уязвимости, так что если все корректно работает, то я бы откатываться не стала.
Ночная странница, спасибо за разъяснения)) да все работает хорошо,тогда оставлю все как есть, только плагин установлю)
Nyhsa вне форума   Ответить с цитированиемОтветить с цитированием

Старый 30.06.2016, 06:16 #8 (Ссылка)
Профи
Дополнительная информация
По умолчанию

И на 4.5.3 надо, наверное.
WordPress versions 4.5.2 and earlier are affected by several security issues... (источник)
Ночная странница вне форума   Ответить с цитированиемОтветить с цитированием

Старый 11.07.2016, 12:03 #9 (Ссылка)
Вебмастер
Дополнительная информация
По умолчанию

Цитата:
Сообщение от Ночная странница Посмотреть сообщение
И на 4.5.3 надо, наверное.
WordPress versions 4.5.2 and earlier are affected by several security issues... (источник)
пока я ушами хлопала и заливала контент, мой блог обновился самостоятельно до 4-5-3... откатываться назад не рискнула... но установила плагин блокировки. Красота, все работает ни обновления плагинов, ни тем тоже не требует)
Nyhsa вне форума   Ответить с цитированиемОтветить с цитированием

Старый 16.07.2016, 01:17 #10 (Ссылка)
Администратор
Дополнительная информация
По умолчанию

Цитата:
Сообщение от Nyhsa Посмотреть сообщение
мой блог обновился самостоятельно
Вот не люблю такую гадость.
Veter вне форума   Ответить с цитированиемОтветить с цитированием

Ответ

Опции темы

Ваши права в разделе
Вы не можете создавать новые темы
Вы не можете отвечать в темах
Вы не можете прикреплять вложения
Вы не можете редактировать свои сообщения

BB коды Вкл.
Смайлы Вкл.
[IMG] код Вкл.
HTML код Выкл.
Trackbacks are Вкл.
Pingbacks are Вкл.
Refbacks are Вкл.


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
WP Go_Anonym_Links 1.0.0 WordPress/ Плагин редирект внешних ссылок для WordPress usergeyv Плагины для WordPress 1 15.01.2016 21:18
Плагин WordPress SEO by Yoast Дмитрий Просветов Дайджест блогосферы 1 20.02.2013 16:47
Как установить плагин на Wordpress? budovskiy Дайджест блогосферы 1 23.10.2012 18:06
Плагин для WordPress Adman Veter Плагины для WordPress 0 18.10.2012 21:48
Плагин на WordPress RusToLat Veter Плагины для WordPress 0 16.10.2012 19:56


Текущее время: 20:42. Часовой пояс GMT +3.

Powered by vBulletin®
Copyright ©2000 - 2021, WMboard.
Перевод: zCarot
 

Форум вебмастеров

Здесь делают сайты, учатся на них зарабатывать. Ты новичок, и ничего не понимаешь в создании сайтов и в интернет заработке? Не знаешь ответа на вопрос по сайтостроению? Мучают вопросы сео оптимизации?

Не беда, присоединяйся к сообществу вебмастеров, и зарабатывай вместе с нами!